% Comparativa  Jacobi- Gauss Seidel
A = [5,2,1; -3,6,1; 2,3,5];
b = [10; 6; 20];

bet = (5+sqrt(21))/2;
A = [1,1,2; bet,1,1; -5/2,1/bet,1];
b = A*[1;1;1];


K = 4;
[x_j, err_j] = mjac(A,b,K,0);
[x_g, err_g] = mgase(A,b,K,0);
disp(['      Jacobi: err. rel. ' num2str(err_j,'%.5e') '   err. abs. ' num2str(norm(x_j-A\b),'%.5e')])
disp(['Gauss-Seidel: err. rel. ' num2str(err_g,'%.5e') '   err. abs. ' num2str(norm(x_g-A\b),'%.5e')])