% Comparativa  Jacobi- Gauss Seidel (2)
N = 10000;
A = rand(N); % aleatoria
A = (N-1)*eye(N)+A; % diag. dom. por filas
b = A*ones(N,1);

K = 10;
[x_j, err_j] = mjac(A,b,K,0);
[x_g, err_g] = mgase(A,b,K,0);
disp(['      Jacobi: err. rel. ' num2str(err_j,'%.5e') '   err. abs. ' num2str(norm(x_j-A\b),'%.5e')])
disp(['Gauss-Seidel: err. rel. ' num2str(err_g,'%.5e') '   err. abs. ' num2str(norm(x_g-A\b),'%.5e')])